# Class LineMaterial

#### Hierarchy

- ShaderMaterial
  - LineMaterial

- Defined in lib/line/utils/LineMaterial.ts:244

##### Index

### Constructors

constructor

### Properties

color
dashed
dashScale
dashSize
gapSize
resolution

## Constructors

### constructor

- new LineMaterial(parameters: LineMaterialParameters): LineMaterial

  #### Parameters

  - parameters: LineMaterialParameters

  #### Returns LineMaterial

  Overrides THREE.ShaderMaterial.constructor

  - Defined in lib/line/utils/LineMaterial.ts:253

## Properties

### color

color: number | Vector3

- Defined in lib/line/utils/LineMaterial.ts:246

### dashed

dashed: boolean

- Defined in lib/line/utils/LineMaterial.ts:247

### dashScale

dashScale: number

- Defined in lib/line/utils/LineMaterial.ts:248

### dashSize

dashSize: number

- Defined in lib/line/utils/LineMaterial.ts:249

### gapSize

gapSize: number

- Defined in lib/line/utils/LineMaterial.ts:250

### resolution

resolution: Vector2

- Defined in lib/line/utils/LineMaterial.ts:251